# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/clock/allwinner,sun4i-a10-mmc-clk.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A10 Module 1 Clock Device Tree Bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

deprecated: true

properties:
  "#clock-cells":
    const: 1
    description: >
      There is three different outputs: the main clock, with the ID 0,
      and the output and sample clocks, with the IDs 1 and 2,
      respectively.

  compatible:
    enum:
      - allwinner,sun4i-a10-mmc-clk
      - allwinner,sun9i-a80-mmc-clk

  reg:
    maxItems: 1

  clocks:
    minItems: 2
    maxItems: 3
    description: >
      The parent order must match the hardware programming order.

  clock-output-names:
    maxItems: 3

required:
  - "#clock-cells"
  - compatible
  - reg
  - clocks
  - clock-output-names

additionalProperties: false

if:
  properties:
    compatible:
      contains:
        const: allwinner,sun4i-a10-mmc-clk

then:
  properties:
    clocks:
      maxItems: 3

else:
  properties:
    clocks:
      maxItems: 2

examples:
  - |
    clk@1c20088 {
        #clock-cells = <1>;
        compatible = "allwinner,sun4i-a10-mmc-clk";
        reg = <0x01c20088 0x4>;
        clocks = <&osc24M>, <&pll6 1>, <&pll5 1>;
        clock-output-names = "mmc0",
                             "mmc0_output",
                             "mmc0_sample";
    };

  - |
    clk@6000410 {
        #clock-cells = <1>;
        compatible = "allwinner,sun9i-a80-mmc-clk";
        reg = <0x06000410 0x4>;
        clocks = <&osc24M>, <&pll4>;
        clock-output-names = "mmc0", "mmc0_output",
                             "mmc0_sample";
    };

...
